#
# spec file for package photocd (Version 1.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gimp gimp-devel glib glib-devel gtk gtk-devel libjpeg libnetpbm libtiff libz svgalib tcsh xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext gimp gimp-devel glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libjpeg libnetpbm libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit tcsh texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         photocd
Copyright:    GPL
Group:        Applications/Graphics
Provides:     xpcd02
Requires:     xv
Autoreqprov:  on
Version:      1.12
Release:      510
Summary:      An image converter
URL:          http://me.in-berlin.de/~kraxel/xpcd.html
Source: photocd-1.12.tar.gz
Source2: http://me.in-berlin.de/~kraxel/dl/xpcd-2.08.tar.gz
Patch: photocd-1.12-ia64.patch
Patch2: xpcd-2.08.dif
Patch3: xpcd-2.08-ia64.patch
BuildRoot:    /var/tmp/%{name}-build

%description
This package includes an X11 interface and programs for converting
Photo CD images into TARGA or BITMAP (Windows 3.1) format. Documentation
can be found in /usr/share/doc/misc/photocd.doc. Additionally included
is the program "hpcdtoppm" that converts Photo CD images to the PPM format.

Authors:
--------
    Gerd Knorr <kraxel@cs.tu-berlin.de>
    Hadmut Danisch <danisch@ira.uka.de>

SuSE series: gra

%prep
%setup  -a 2
%patch
cd xpcd-2.08
%patch2
%patch3
autoconf
cp configure configure.old
sed -e "s/char gimp_image_new ();/&int PLUG_IN_INFO;/" configure.old >configure
CFLAGS="$RPM_OPT_FLAGS -DGIMP_ENABLE_COMPAT_CRUFT" \
 ./configure --prefix=/usr --with-gimp \
   --with-svga --with-jpeg --with-tiff --x-includes=/usr/X11R6/include
make clean

%build
make CFLAGS="$RPM_OPT_FLAGS"
cd xpcd-2.08
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,de/man1}
install -m 755 -s -o root -g root photocd $RPM_BUILD_ROOT/usr/bin
install -m 644 -o root -g root photocd.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 -o root -g root photocd.1.gr $RPM_BUILD_ROOT/%{_mandir}/de/man1/photocd.1
cd xpcd-2.08
make DESTDIR=$RPM_BUILD_ROOT mandir=$RPM_BUILD_ROOT/%{_mandir} install
mkdir xpcd-2.08
cp -a README libpcd/README.html xpcd-2.08
cp -a linux/README xpcd-2.08/README.linux

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%dir /usr/X11R6/lib/X11/xpcd
%config /usr/X11R6/lib/X11/xpcd/system.xpcdrc
/usr/X11R6/include/X11/pixmaps/xpcd-color.xpm
/usr/X11R6/include/X11/pixmaps/xpcd-gray.xpm
%config /usr/X11R6/lib/X11/app-defaults/Xpcd-2
%config /usr/X11R6/lib/X11/de/app-defaults/Xpcd-2
%config /usr/X11R6/lib/X11/da/app-defaults/Xpcd-2
/usr/bin/pcdtoppm
/usr/bin/photocd
/usr/bin/xpcd
/usr/lib/gimp/*/plug-ins/xpcd-gate
%doc %{_mandir}/man1/xpcd.1.gz
%doc %{_mandir}/man1/photocd.1.gz
%doc %{_mandir}/de/man1/photocd.1.gz
%doc README
%doc README.gr
%doc xpcd-2.08/xpcd-2.08

%changelog -n photocd
* Fri Aug 03 2001 - nadvornik@suse.cz
- removed hpcdtoppm, because its licence allows noncommercial
  use only
- fixed to compile
* Thu May 17 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Wed Jan 03 2001 - nadvornik@suse.cz
- fixed file list
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild: libnetpb -> libnetpbm
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Fri Sep 29 2000 - ro@suse.de
- fixed for gimp
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Fri Apr 07 2000 - nadvornik@suse.cz
- added BuildRoot
- update to xpcd-2.08
* Sun Mar 05 2000 - ro@suse.de
- neededforbuild: libgimp -> gimp
* Wed Jan 05 2000 - kukuk@suse.de
- Use RPM_OPT_FLAGS
- Move manual pages from /usr/man to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jun 17 1999 - ro@suse.de
- fixed neededforbuild
* Tue Jun 01 1999 - ro@suse.de
- fixed to build on alpha
* Thu Mar 18 1999 - ro@suse.de
- update to xpcd-2.07
* Sat Mar 13 1999 - uli@suse.de
- fixed CFLAGS for AXP
* Tue Nov 17 1998 - ro@suse.de
- xpcd: fbview: include sys/time.h instead of time.h
* Thu Sep 24 1998 - ro@suse.de
- update to xpcd-2.05: pcdview replaced by fbview
* Mon May 25 1998 - ro@suse.de
- hacked to accept gimp-lib and
  added --x-includes=/usr/X11R6/include for configure
* Mon Nov 03 1997 - ro@suse.de
- added gtk tcsh in neededforbuild
* Wed Oct 22 1997 - ro@suse.de
- upgrade to xpcd version 2.04
  ready for autobuild
